#ifndef TIMEUPDATETHREAD_H
#define TIMEUPDATETHREAD_H


#include <QThread>
#include <QDateTime>
#include <QString>
#include <QTimer>

class TimeUpdateThread : public QThread
{
    Q_OBJECT
public:
    explicit TimeUpdateThread(QObject *parent = nullptr);
    ~TimeUpdateThread();
    void stop();

signals:
    void timeUpdated(const QString &timeString);

protected:
    void run() override;
private:
    QTimer *timer;
    bool isStopped;
};


#endif // TIMEUPDATETHREAD_H
